Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041505
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2019-07-31 12:172019-08-22 14:45
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision91fd6f0a5962
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041505: Ability to convert to JSON objects of classes extending BaseOBObject with DataToJsonConverter

DescriptionIt would be nice if the toJsonConverter.toJsonObjects method would allow to receive as parameter a list of objects of any class that extends BaseOBObject.

Currently it only allows a list of BaseOBObjects, therefore, for example is not possible to convert to JSON a list of object retrieved from a query:

      List<PriceAdjustment> discountCandidates = OBDal.getInstance()
          .createQuery(PriceAdjustment.class, whereClause).list();

      toJsonConverter.toJsonObjects(discountCandidates) --> this is currently not possible
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041516 closedcaristu API change: change type of list received by DataToJsonConverter.toJsonObjects method 

-  Notes
(0113748)
hgbot (developer)
2019-08-01 09:08

Repository: erp/devel/pi
Changeset: 91fd6f0a596267d0b6b60c12455f4c2b8f823090
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Aug 01 09:05:08 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/91fd6f0a596267d0b6b60c12455f4c2b8f823090 [^]

fixes bug 41505: DataToJsonConverter can convert classes extending BaseOBObject

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
---
(0113768)
alostale (developer)
2019-08-02 07:41

reviewed
(0114192)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-31 12:17 caristu New Issue
2019-07-31 12:17 caristu Assigned To => caristu
2019-07-31 12:17 caristu Modules => Core
2019-07-31 12:17 caristu Triggers an Emergency Pack => No
2019-07-31 12:17 caristu Issue generated from 0041479
2019-08-01 08:59 caristu Issue cloned 0041516
2019-08-01 08:59 caristu Relationship added related to 0041516
2019-08-01 09:08 hgbot Checkin
2019-08-01 09:08 hgbot Note Added: 0113748
2019-08-01 09:08 hgbot Status new => resolved
2019-08-01 09:08 hgbot Resolution open => fixed
2019-08-01 09:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/91fd6f0a596267d0b6b60c12455f4c2b8f823090 [^]
2019-08-01 09:09 caristu Review Assigned To => alostale
2019-08-02 07:41 alostale Note Added: 0113768
2019-08-02 07:41 alostale Status resolved => closed
2019-08-02 07:41 alostale Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114192


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker